/**
* @AUTHOR: Alexandre Correia / Rodrigo Souza
* @DATE: 2006/10/24 17:03:00
* @LAST CHANGE: Seg 11 Dez 2006 10:21:34 BRST::
* Instant Messenger
* im_templates.js
**/

	function Templates(){

		this.element 	= document.getElementById("im_expresso");
		this.form 		= "";
		this.time_set 	= "";
		this.transfer	= 0;
		this.arquivo 	= "";
	}

   /*
	* Conf forms
	*/

	Templates.prototype.conf_form = function(pName,pWidth,pHeight,pHTML,pTitle)
	{
	     var params = new Array();
    	 params['body'] = pHTML;
      	 params['height'] = pHeight;
     	 params['id'] = pName;
     	 params['maximize'] = false;
     	 params['minimize'] = false;
     	 params['title'] = pTitle;
     	 params['width'] = pWidth;
		 im_win.create_window(params);
	}

   /*
	* Add Usuario
	*/

	Templates.prototype.add_user = function()
	{
		var _this = this;
		var _XmlAddUser = '<adduser>' +	
							'<top lang1="'+IM.get_lang('Selecione uma Organizao')+'" />' +
							'<bottom lang1="'+IM.get_lang('Jid Contact')+'" lang2="'+IM.get_lang('Nickname')+'" lang3="'+IM.get_lang('Group')+'" lang4="'+IM.get_lang('Add')+'"/>' +
  					  	  '</adduser>';
		
		_this.conf_form("divAddUser",525,295,parse_XmlXsl(_XmlAddUser,'add_user.xsl'),":: " + IM.get_lang('Add New Contact') + " - Expresso ::");
	}
	
	Templates.prototype.AcceptRequestUser = function()
	{
		var _this = this;
		var _XmlupdUser = '<updUser>' +
							'<body lang1="'+IM.get_lang('Nickname')+'" lang2="'+IM.get_lang('Group')+'" lang3="'+IM.get_lang('Update')+'" />' +		
						  '</updUser>';	
						  
		_this.conf_form("divUpdateUser",300,110,parse_XmlXsl(_XmlupdUser,'upd_user.xsl'),":: " + IM.get_lang('Add New Contact') + " - Expresso ::");
	}

   /*
	* Del Usuario
	*/

	Templates.prototype.remove_user = function()
	{
		var _this = this;
		var _XmlDelUser = '<deluser>' +
							'<body lang1="'+IM.get_lang('Contact')+'" lang2="'+IM.get_lang('Remove')+'" />' +
						  '</deluser>';

		_this.conf_form("divDelUser",300,110,parse_XmlXsl(_XmlDelUser,'del_user.xsl'),":: " + IM.get_lang('Remove Contact') + " - Expresso ::");
	}

   /*
	* Update Usuario
	*/

	Templates.prototype.Users_Not_Auth = function (jids)
	{
		var _this = this;
		var _XmlUserNAuth = '<jids>';	
		for(var i in jids)
		{		
			_XmlUserNAuth += '<item id="im_cell_'+jids[i]+'" jid="'+jids[i]+'" />';
		}
		_XmlUserNAuth += '</jids>';
		if(document.getElementById('divFormAuthUser_im') == null){
			_this.conf_form("divFormAuthUser",360,250,parse_XmlXsl(_XmlUserNAuth,'user_not_auth.xsl'), ":: Contatos sem Cadastro - Expresso ::");
		}else{
			document.getElementById('divFormAuthUser_im').innerHTML = '';
			document.getElementById('divFormAuthUser_im').innerHTML = parse_XmlXsl(_XmlUserNAuth,'user_not_auth.xsl');
		}
	}

   /*
	* Vcard Usuario
	*/

	Templates.prototype.information_user = function(pVcardUser)
	{
		var _this = this;
		var _XmlInfoUser = '<info_user>' +
								'<vcard>' +
									pVcardUser +	
								'</vcard>' +
							    '<getlang>' +
									'<FN>' + IM.get_lang('Full Name') + '</FN>'+
									'<NICKNAME>' + IM.get_lang('NickName') + '</NICKNAME>' +
									'<ORGNAME>' + IM.get_lang('Orgname') + '</ORGNAME>' +
									'<ORGUNIT>' + IM.get_lang('Orgunit') + '</ORGUNIT>' +
									'<ROLE>' + IM.get_lang('Role') + '</ROLE>' +
									'<BDAY>' + IM.get_lang('Birthday') + '</BDAY>' +
									'<DESC>' + IM.get_lang('Status') + '</DESC>' +
									'<SAVE>' +IM.get_lang('save') + '</SAVE>' +
								'</getlang>' +
						   '</info_user>';	
		_this.conf_form("divInfoUser",400,220,parse_XmlXsl(_XmlInfoUser,'information_user.xsl'), ":: " + IM.get_lang('Information User') + " - Expresso ::");
	}

	Templates.prototype.information_Contact = function(pVcardContact)
	{
		var _this = this;
		var _XmlInfoContact = '<info_contact>' + 
								 '<vcard> ' +
								 	pVcardContact +
								 '</vcard> ' +		
								 '<getlang>'+
								  	'<FN>' + IM.get_lang('Full Name') + '</FN>' +
								  	'<NICKNAME>' + IM.get_lang('NickName') + '</NICKNAME>' +	
								  	'<ORGUNIT>' + IM.get_lang('Orgunit') + '</ORGUNIT>' +	
								  	'<ROLE>' + IM.get_lang('Role') + '</ROLE>' +	
								  	'<BDAY>' + IM.get_lang('Birthday') + '</BDAY>' +	
		 				 	     '</getlang>' +
		 				 	  '</info_contact>';
		_this.conf_form("divInfoContact",430,110,parse_XmlXsl(_XmlInfoContact,'info_contact.xsl'),":: Informaes do Contato - Expresso ::");

	}

   Templates.prototype.emotions = function()
   {
	  var smiles = new Array("\':)\'#smile_1.src","\':d\'#smile_2.src","\';)\'#smile_3.src","\':o\'#smile_4.src","\':p\'#smile_5.src","\'(h)\'#smile_6.src","\':@\'#smile_7.src","\':$\'#smile_8.src","\':s\'#smile_9.src","\':(\'#smile_10.src","\':\\\'\(\'#smile_11.src","\':|\'#smile_12.src");
	  var grid = '';
	      grid += '<table cellpadding="0" cellspacing="0" border="0">';
	      grid += '<tr>';
	   	  for(var i = 0 ; i < 4; i++)	
		      grid += '<td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion('+smiles[i].substr(0,smiles[i].indexOf('#'))+')" id="sendMessageMenuId"><img width="19" height="19" src="'+eval(smiles[i].substr(smiles[i].indexOf('#') + 1))+'" /></div></td>';
		  grid += '</tr>';	
	      grid += '<tr>';
	   	  for(var i = 4 ; i < 8; i++)	
		      grid += '<td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion('+smiles[i].substr(0,smiles[i].indexOf('#'))+')" id="sendMessageMenuId"><img width="19" height="19" src="'+eval(smiles[i].substr(smiles[i].indexOf('#') + 1))+'" /></div></td>';
		  grid += '</tr>';	
	      grid += '<tr>';
	   	  for(var i = 8 ; i < 12; i++)	
		      grid += '<td><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.addEmotion('+smiles[i].substr(0,smiles[i].indexOf('#'))+')" id="sendMessageMenuId"><img width="19" height="19" src="'+eval(smiles[i].substr(smiles[i].indexOf('#') + 1))+'" /></div></td>';
		  grid += '</tr>';	
	      grid += '<tr>';
	      grid += '<td colspan="18"><hr style="background:#cccccc;margin:1px:size:1px;"/></td>';
	      grid += '</tr>';
	      grid += '<tr>';
	      grid += '<td colspan="18"><div class="emotionItem" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.hideEmotionSelection()" id="closeEmotionSelectionDiv">Close This Menu</div></td>';
	      grid += '</tr>';
	      grid += '</table>';
      return grid;
   }

   Templates.prototype.font_name = function()
   {
	  var fonts_n = new Array("Arial:Arial","Courier:Courier","Times:Times New Roman");
	  var grid = '';

	  for( var i = 0 ; i < fonts_n.length; i++ )
    	  grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFont(\'' + fonts_n[i].substr(0,fonts_n[i].indexOf(':') + 1 )+'\')" id="fontStyle1" style="width:120px;font-family:'+fonts_n[i].substr(fonts_n[i].indexOf(':') + 1 )+'">' + fonts_n[i].substr(fonts_n[i].indexOf(':') + 1 ) + '</div>';	  

      grid += '<hr style="background:#cccccc;margin:1px:size:1px;width:120px;"/>';
  	  grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.hideFontNameSelection()" id="fontStyle1" style="width:120px">Close This Menu</div>';

      return grid;
   }

   Templates.prototype.font_size = function()
   {
      var fonts_s = new Array("9pt:9","10pt:10","11pt:11","12pt:12","14pt:14","16pt:16","18pt:18");
      var grid = '';

	  for( var i = 0 ; i < fonts_s.length ; i++ )
	      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeSizeFont(\'' + fonts_s[i].substr(0,fonts_s[i].indexOf(':')) + '\');" id="fontStyle1" style="width:100px">' + fonts_s[i].substr(fonts_s[i].indexOf(':') + 1 ) + '</div>';

      grid += '<hr style="background:#cccccc;margin:1px:size:1px;width:120px;"/>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.hideFontSizeSelection()" id="fontStyle1" style="width:100px">Close This Menu</div>';

      return grid;
   }

   Templates.prototype.font_color = function()
   {
      var fonts_c = new Array("#000000:Black","#c0c0c0:Silver","#ffff00:Yellow","#ff0000:Red","#ff00ff:Pink","#00ff00:Green","#1111ff:Blue","#800080:Magenta");
	  var grid = '';		 
	  
	  for( var i = 0; i < fonts_c.length ; i++ )	
	      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontColor(\'' + fonts_c[i].substr(0,fonts_c[i].indexOf(':')) + '\')" id="fontStyle1" style="width:100px">' + fonts_c[i].substr(fonts_c[i].indexOf(':') + 1 )  + '</div>';

      grid += '<hr style="background:#cccccc;margin:1px:size:1px;width:120px;"/>';
      grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.hideFontColorSelection()" id="fontStyle1" style="width:100px">Close This Menu</div>';
	  	      
      return grid;
   }

   Templates.prototype.font_style = function()
   {
     var fonts_st = new Array("normal:Regular","italic:Italic","bold:Bold");
     var grid = '';
     
     for( var i = 0 ; i < fonts_st.length; i++ )
     	grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_conf_font.changeFontStyle(\'' + fonts_st[i].substr(0,fonts_st.indexOf(':')) + '\')" id="fontStyle1" style="width:100px">' + fonts_st[i].substr( fonts_st[i].indexOf(':') + 1 ) + '</div>';
     grid += '<hr style="background:#cccccc;margin:1px:size:1px;width:120px;"/>';
     grid += '<div class="menuitems" onMouseover="im_win.highlightie5(this)" onMouseout="im_win.lowlightie5(this)" onclick="im_win.hideFontStyleSelection()" id="fontStyle1" style="width:100px">Close This Menu</div>';
	 
     return grid;
   }

  /*
   * Preferncias do usurio
   */
   
   Templates.prototype.yourPreferences = function()
   {
		var _this = this;
		var _XmlPreferences = '<preferences />';
		_this.conf_form("divYourPreferences",345,222,parse_XmlXsl(_XmlPreferences,'preferences.xsl'),":: Informaes do Contato - Expresso ::");
		IM_Preferences.LoadPreferences(null);
   }

   /*
   	* Send File
   	*/

   Templates.prototype.Send_file = function(pJid)
   {
		var _this = this;
		var _XmlSendFile = '<send_file path="'+im_path+'" jid="'+pJid+'" lang1="'+IM.get_lang('Send File')+'" lang2="'+IM.get_lang('Send')+'" lang3="'+IM.get_lang('Status of the Transference')+'"/>';

		_this.conf_form("divSendFile",360,110,parse_XmlXsl(_XmlSendFile,'send_file.xsl'),":: Envio de Arquivo - Expresso ::");
   }

   //Templates
   var Templates = new Templates();